import { COriginal, CplusplusOriginal } from "devicons-react";

export const SUPPORTED_EDITOR_LANGUAGES = ["c", "cpp"];

export const SUPPORTED_EDITOR_LANGUAGES_CONFIG = {
  c: {
    id: "c",
    label: "C",
    icon: COriginal,
  },
  cpp: {
    id: "cpp",
    label: "C++",
    icon: CplusplusOriginal,
  },
};

export type SupportedEditorLanguage =
  (typeof SUPPORTED_EDITOR_LANGUAGES)[number];
